from storage import DatabaseManager
class Authenticator:
    def __init__(self):
        self.db = DatabaseManager()
        
    def login(self, username, password):
        # 用户登录验证
        pass
        
    def register(self, user_info):
        # 用户注册
        pass